/* mode settings */
#define MODES 3 /* the number of modes */
extern uint8_t mode; /* the current mode */ //TODO load the mode
extern uint8_t brightness[MODES][CHANNELS_1+CHANNELS_2]; /* the mode brightness settings for the channels */

/* IR settings */
enum IR_ACTIONS { /* the actions for the infrared remote control */
	POWER = 0,
	MODE,
	BRIGHTNESS_UP,
	BRIGHTNESS_DOWN,
	CHANNEL_NEXT,
	CHANNEL_PREVIOUS,
	IR_ACTION_END
};
extern uint8_t ir_keys[IR_ACTION_END][2]; // the IR NEC values (address+command) for the actions

/* function to load/save the settings */
bool verify_settings(void);
void initialize_settings(void);
void save_settings(void);
void load_settings(void);
